import { floorplanService } from '../Service/FloorplanService'
import { mathUtil } from '../MathUtil.js'
import { coordinate } from '../Coordinate'
import Constant from '../Constant'

export default class MoveTag {
    constructor() {

    }

    moveFullTag(dx,dy, tagId) {
        let tag = floorplanService.getTag(tagId)

        tag.center = {
            x:tag.center.x + dx/coordinate.res * Constant.defaultZoom/coordinate.zoom,
            y:tag.center.y - dy/coordinate.res * Constant.defaultZoom/coordinate.zoom,
        }

        tag.setPoints2d()
    }
}

const moveTag = new MoveTag()
export { moveTag }
